Append a merchandising simulation revision
curl --request POST \
--url https://api.interchange.io/api/v2/storefront/simulator/scenarios/{scenarioId}/revisions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"source": {
"sourceKind": "sample",
"sourceRef": "<string>"
}
}
'import requests
url = "https://api.interchange.io/api/v2/storefront/simulator/scenarios/{scenarioId}/revisions"
payload = {
"title": "<string>",
"source": {
"sourceKind": "sample",
"sourceRef": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>', source: {sourceKind: 'sample', sourceRef: '<string>'}})
};
fetch('https://api.interchange.io/api/v2/storefront/simulator/scenarios/{scenarioId}/revisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scenarioId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revisionNumber": 4503599627370495,
"title": "<string>",
"sourceKind": "sample",
"sourceRef": "<string>",
"briefSnapshot": {},
"observedDecisionSnapshot": {},
"inputSummary": {},
"inputDigest": "<string>",
"schemaVersion": 4503599627370495,
"sourceScope": {
"mode": "storefront",
"sourceId": null,
"sourceName": null,
"diagnostics": {
"includedBundleCount": 0,
"includedSignalCount": 0,
"excludedBundleCount": 0,
"excludedSignalCount": 0,
"missingLineageCount": 0,
"ambiguousLineageCount": 0,
"crossSourceLineageCount": 0
}
},
"runnableUntil": "2023-11-07T05:31:56Z",
"isRunnable": true,
"replayAvailableUntil": "2023-11-07T05:31:56Z",
"variants": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slotIndex": 1,
"generation": 4503599627370495,
"label": "<string>",
"isBaseline": true,
"overrides": {},
"overrideDigest": "<string>",
"supersedesVariantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdByUserId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"executions": [],
"executionHistory": []
}
],
"createdByUserId": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront
Append a merchandising simulation revision
Append a newly captured immutable revision without rewriting prior evidence. Each revision receives a no-override baseline and its own 30-day replay window.
POST
/
simulator
/
scenarios
/
{scenarioId}
/
revisions
Append a merchandising simulation revision
curl --request POST \
--url https://api.interchange.io/api/v2/storefront/simulator/scenarios/{scenarioId}/revisions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"source": {
"sourceKind": "sample",
"sourceRef": "<string>"
}
}
'import requests
url = "https://api.interchange.io/api/v2/storefront/simulator/scenarios/{scenarioId}/revisions"
payload = {
"title": "<string>",
"source": {
"sourceKind": "sample",
"sourceRef": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>', source: {sourceKind: 'sample', sourceRef: '<string>'}})
};
fetch('https://api.interchange.io/api/v2/storefront/simulator/scenarios/{scenarioId}/revisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scenarioId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revisionNumber": 4503599627370495,
"title": "<string>",
"sourceKind": "sample",
"sourceRef": "<string>",
"briefSnapshot": {},
"observedDecisionSnapshot": {},
"inputSummary": {},
"inputDigest": "<string>",
"schemaVersion": 4503599627370495,
"sourceScope": {
"mode": "storefront",
"sourceId": null,
"sourceName": null,
"diagnostics": {
"includedBundleCount": 0,
"includedSignalCount": 0,
"excludedBundleCount": 0,
"excludedSignalCount": 0,
"missingLineageCount": 0,
"ambiguousLineageCount": 0,
"crossSourceLineageCount": 0
}
},
"runnableUntil": "2023-11-07T05:31:56Z",
"isRunnable": true,
"replayAvailableUntil": "2023-11-07T05:31:56Z",
"variants": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slotIndex": 1,
"generation": 4503599627370495,
"label": "<string>",
"isBaseline": true,
"overrides": {},
"overrideDigest": "<string>",
"supersedesVariantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdByUserId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"executions": [],
"executionHistory": []
}
],
"createdByUserId": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
Response
Append a merchandising simulation revision
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Required range:
0 < x <= 9007199254740991Available options:
sample, seller_provided, live_observed Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Pattern:
^[a-f0-9]{64}$Required range:
0 < x <= 9007199254740991- Option 1
- Option 2
Show child attributes
Show child attributes
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Show child attributes
Show child attributes
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$